How are we supposed to use apt-get in BT4?

I've tried using apt-get to install all of the following, but it couldn't find any of them:
thunderbird
vlc
cdplay
dcd

Are we supposed to change the repository list? I'm hesitant to do so coz I heard about a few people fudging up their kernel coz it got overwritten with Ubuntu stuff...